Get a list of fiat transactions and their statuses
curl --request POST \
--url https://api.privy.io/v1/users/{user_id}/fiat/status \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"provider": "bridge",
"tx_hash": "<string>"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/users/{user_id}/fiat/status")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"bridge\",\n \"tx_hash\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({provider: 'bridge', tx_hash: '<string>'})
};
fetch('https://api.privy.io/v1/users/{user_id}/fiat/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/users/{user_id}/fiat/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => 'bridge',
'tx_hash' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/users/{user_id}/fiat/status"
payload := strings.NewReader("{\n \"provider\": \"bridge\",\n \"tx_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transactions": [
{
"type": "onramp",
"created_at": "<string>",
"destination": {
"chain": "<string>",
"currency": "<string>",
"address": "<string>",
"privy_user_id": "<string>"
},
"is_sandbox": true,
"id": "<string>",
"status": "awaiting_funds",
"deposit_instructions": {
"amount": "<string>",
"currency": "usd",
"payment_rail": "sepa",
"deposit_message": "<string>",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_routing_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"bank_address": "<string>",
"iban": "<string>",
"bic": "<string>",
"account_holder_name": "<string>"
},
"receipt": {
"final_amount": "<string>",
"transaction_hash": "<string>"
}
}
]
}Get transactions
Returns a list of fiat transactions and their statuses
POST
/
v1
/
users
/
{user_id}
/
fiat
/
status
Get a list of fiat transactions and their statuses
curl --request POST \
--url https://api.privy.io/v1/users/{user_id}/fiat/status \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"provider": "bridge",
"tx_hash": "<string>"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/users/{user_id}/fiat/status")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"bridge\",\n \"tx_hash\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({provider: 'bridge', tx_hash: '<string>'})
};
fetch('https://api.privy.io/v1/users/{user_id}/fiat/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/users/{user_id}/fiat/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => 'bridge',
'tx_hash' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/users/{user_id}/fiat/status"
payload := strings.NewReader("{\n \"provider\": \"bridge\",\n \"tx_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transactions": [
{
"type": "onramp",
"created_at": "<string>",
"destination": {
"chain": "<string>",
"currency": "<string>",
"address": "<string>",
"privy_user_id": "<string>"
},
"is_sandbox": true,
"id": "<string>",
"status": "awaiting_funds",
"deposit_instructions": {
"amount": "<string>",
"currency": "usd",
"payment_rail": "sepa",
"deposit_message": "<string>",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_routing_number": "<string>",
"bank_beneficiary_name": "<string>",
"bank_beneficiary_address": "<string>",
"bank_address": "<string>",
"iban": "<string>",
"bic": "<string>",
"account_holder_name": "<string>"
},
"receipt": {
"final_amount": "<string>",
"transaction_hash": "<string>"
}
}
]
}Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the user
Body
application/json
Response
200 - application/json
Bank deposit instructions for the onramp
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?

